Bug 1848643 (CVE-2020-12245) - CVE-2020-12245 grafana: XSS via column.title or cellLinkTooltip
Summary: CVE-2020-12245 grafana: XSS via column.title or cellLinkTooltip
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-12245
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1848948 1848644 1848820 1848821 1848946 1848947 1848949 1850453
Blocks: 1848645
TreeView+ depends on / blocked
 
Reported: 2020-06-18 16:33 UTC by Dhananjay Arunesh
Modified: 2020-12-15 16:12 UTC (History)
33 users (show)

Fixed In Version: grafana 6.7.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-01 19:28:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2796 None None None 2020-07-01 18:46:18 UTC
Red Hat Product Errata RHSA-2020:2861 None None None 2020-07-07 19:33:54 UTC
Red Hat Product Errata RHSA-2020:4298 None None None 2020-10-27 16:24:20 UTC
Red Hat Product Errata RHSA-2020:4682 None None None 2020-11-04 02:59:44 UTC

Description Dhananjay Arunesh 2020-06-18 16:33:52 UTC
Grafana before 6.7.3 allows table-panel XSS via column.title or cellLinkTooltip.

References:
https://community.grafana.com/t/release-notes-v6-7-x/27119
https://github.com/grafana/grafana/blob/master/CHANGELOG.md#673-2020-04-23
https://github.com/grafana/grafana/pull/23816

Comment 1 Dhananjay Arunesh 2020-06-18 16:34:40 UTC
Created grafana tracking bugs for this issue:

Affects: fedora-all [bug 1848644]

Comment 2 Mark Cooper 2020-06-19 03:21:19 UTC
Keeping OpenShift and ServiceMesh at Moderate, as I feel even tho the components are behind OAuth a logged in user can still be tricked to perform XSS.

ServiceMesh packages a vulnerable version of grafana:
  - ServiceMesh 1.0.x grafana v6.2.2
  - ServiceMesh 1.1.x grafana v6.4.3

OpenShift packages a vulnerable version of grafana:
  - OpenShift 3.11 grafana v5.4.3
  - OpenShift 4.x  grafana v6.5.3

Comment 4 Mark Cooper 2020-06-19 04:05:49 UTC
Upstream commit: https://github.com/grafana/grafana/pull/23816 <- wrong the above commit is the correct one.

Comment 8 errata-xmlrpc 2020-07-01 18:46:16 UTC
This issue has been addressed in the following products:

  OpenShift Service Mesh 1.1

Via RHSA-2020:2796 https://access.redhat.com/errata/RHSA-2020:2796

Comment 9 Product Security DevOps Team 2020-07-01 19:28:10 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-12245

Comment 10 errata-xmlrpc 2020-07-07 19:33:51 UTC
This issue has been addressed in the following products:

  OpenShift Service Mesh 1.0

Via RHSA-2020:2861 https://access.redhat.com/errata/RHSA-2020:2861

Comment 11 errata-xmlrpc 2020-10-27 16:24:17 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.6

Via RHSA-2020:4298 https://access.redhat.com/errata/RHSA-2020:4298

Comment 12 errata-xmlrpc 2020-11-04 02:59:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4682 https://access.redhat.com/errata/RHSA-2020:4682


Note You need to log in before you can comment on or make changes to this bug.